Page MenuHomePhabricator

More useful help for 'submodule'-type parameters
Closed, ResolvedPublic

Description

Consider the help at https://en.wikipedia.org/w/api.php?action=help&modules=main:

action: Which action to perform.
One of the following values: abusefiltercheckmatch, abusefilterchecksyntax, abusefilterevalexpression, abusefilterunblockautopromote, addstudents, antispoof, block, bouncehandler, centralauthtoken, centralnoticechoicedata, centralnoticequerycampaign, checktoken, cirrus-config-dump, cirrus-mapping-dump, cirrus-settings-dump, cirrus-suggest, clearhasmsg, compare, createaccount, cxconfiguration, cxdelete, cxpublish, cxsave, cxsuggestionlist, cxtoken, delete, deleteeducation, deleteglobalaccount, echomarkread, echomarkseen, edit, editlist, editmassmessagelist, emailuser, enlist, expandtemplates, fancycaptchareload, featuredfeed, feedcontributions, feedrecentchanges, feedwatchlist, filerevert, flagconfig, flow, flow-parsoid-utils, flowthank, globalblock, globaluserrights, graph, help, imagerotate, import, jsonconfig, languagesearch, liststudents, login, logout, managetags, massmessage, mobileview, move, opensearch, options, pagetriageaction, pagetriagelist, pagetriagestats, pagetriagetagging, pagetriagetemplate, paraminfo, parse, parsoid-batch, patrol, protect, purge, query, refresheducation, review, reviewactivity, revisiondelete, rollback, rsd, scribunto-console, setglobalaccountstatus, setnotificationtimestamp, sitematrix, spamblacklist, stabilize, stashedit, strikevote, tag, templatedata, thank, titleblacklist, tokens, transcodereset, ulslocalization, unblock, undelete, upload, userrights, visualeditor, visualeditoredit, watch, wikilove, zeroconfig
Default: help

That would be a lot more user-friendly if it could be displayed in a PARAM_HELP_MSG_PER_VALUE style, with a one-line description extracted from each submodule and with the values linked to the submodule. The "One of the following values" bit could potentially be omitted or collapsed somehow.

Event Timeline

Anomie created this task.Jan 18 2016, 3:33 PM
Anomie raised the priority of this task from to Normal.
Anomie updated the task description. (Show Details)
Anomie added a project: MediaWiki-API.
Anomie moved this task to Needs details or plan on the MediaWiki-API board.
Anomie added a subscriber: Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2016, 3:33 PM
Anomie claimed this task.May 26 2017, 8:25 PM
Anomie moved this task from Needs details or plan to In Dev on the MediaWiki-API board.

Change 360389 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Display message-per-value style help for submodule parameters

https://gerrit.wikimedia.org/r/360389

Anomie moved this task from In Dev to Needs Review on the MediaWiki-API board.Jun 20 2017, 5:36 PM

Change 360389 merged by jenkins-bot:
[mediawiki/core@master] API: Display message-per-value style help for submodule parameters

https://gerrit.wikimedia.org/r/360389

Anomie closed this task as Resolved.Jun 22 2017, 5:11 PM